# RSL_get_closest_ray_from_sweep

### Synopsis

#include "rsl.h"
Ray *RSL_get_closest_ray_from_sweep(Sweep *s,float ray_angle,float limit);

###

Description

Return the closest ray within a sweep. Closeness is determined by the minimum absolute difference of ray_angle and the azimuth angle of the ray. The difference must be less than limit. If no such ray can be found, return NULL.

### Return value

Upon successful completion, a pointer to the Ray structure is returned. Otherwise, a NULL pointer is returned.

### See also

RSL_get_ray, RSL_get_ray_from_sweep, RSL_get_ray_above, RSL_get_ray_below, RSL_get_first_ray_of_sweep, RSL_get_first_ray_of_volume.

Author: Dennis Flanigan Jr.